CVE-2001-0956
CVSS7.2
发布时间 :2001-09-11 00:00:00
修订时间 :2008-09-05 16:25:19
NMCOES    

[原文]speechd 0.54 and earlier, with the Festival or rsynth speech synthesis package, allows attackers to execute arbitrary commands via shell metacharacters.


[CNNVD]Speechd 特权命令执行漏洞(CNNVD-200109-039)

        CVE(CAN) ID: CAN-2001-0956
        
        
        
        Speechd是在Linux下的针对语音合成的一个设备独立层,为很多基于语音的应用或者设备
        
        驱动提供接口。
        
        
        
        它存在一个安全问题,可能允许本地用户通过传输恶意命令给/dev/speech设备来以root
        
        权限执行这些命令。
        
        问题出在speechd中的下列代码中:
        
        
        
        system("$cmd \'$text\'");
        
        
        
        
        
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0956
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0956
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200109-039
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/7121.php
(VENDOR_ADVISORY)  XF  speechd-execute-commands(7121)
http://www.securityfocus.com/bid/3326
(VENDOR_ADVISORY)  BID  3326
http://archives.neohapsis.com/archives/bugtraq/2001-09/0089.html
(PATCH)  BUGTRAQ  20010911 security alert: speechd from speechio.org
http://www.speechio.org/speechd.html
(VENDOR_ADVISORY)  CONFIRM  http://www.speechio.org/speechd.html

- 漏洞信息

Speechd 特权命令执行漏洞
高危 输入验证
2001-09-11 00:00:00 2005-10-20 00:00:00
本地  
        CVE(CAN) ID: CAN-2001-0956
        
        
        
        Speechd是在Linux下的针对语音合成的一个设备独立层,为很多基于语音的应用或者设备
        
        驱动提供接口。
        
        
        
        它存在一个安全问题,可能允许本地用户通过传输恶意命令给/dev/speech设备来以root
        
        权限执行这些命令。
        
        问题出在speechd中的下列代码中:
        
        
        
        system("$cmd \'$text\'");
        
        
        
        
        
        

- 公告与补丁

        
        
        厂商补丁:
        
        
        
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商
        
        的主页以获取最新版本:
        
        
        
        [url
        http://www.speechio.org/[/url]
        

- 漏洞信息 (21108)

SpeechD 0.1/0.2 Privileged Command Execution Vulnerability (EDBID:21108)
unix local
2001-09-11 Verified
0 Tyler Spivey
N/A [点击下载]
source: http://www.securityfocus.com/bid/3326/info

SpeechD is a device-independent layer for speech synthesis under Linux, providing an interface for speech-based applications or device drivers.

SpeechD has been found to contain a flaw under certain implementations which can permit a local user to pass malcious commands to the /dev/speech device, and have them executed with the privilege level of the speechd user, which is usually root. 

echo "';[hostile shell command]" >/dev/speech 		

- 漏洞信息

14001
Multiple Package speechd Shell Metacharacter Arbitrary Command Execution
Local Access Required Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2001-09-11 Unknow
2001-09-11 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

SpeechD Privileged Command Execution Vulnerability
Input Validation Error 3326
No Yes
2001-09-11 12:00:00 2009-07-11 07:56:00
Reported to bugtraq by Tyler Spivey <tspivey8@home.com> on September 10, 2001.

- 受影响的程序版本

SpeechIO SpeechD 0.2
SpeechIO SpeechD 0.1

- 漏洞讨论

SpeechD is a device-independent layer for speech synthesis under Linux, providing an interface for speech-based applications or device drivers.

SpeechD has been found to contain a flaw under certain implementations which can permit a local user to pass malcious commands to the /dev/speech device, and have them executed with the privilege level of the speechd user, which is usually root.

- 漏洞利用

echo "';[hostile shell command]" &gt;/dev/speech

- 解决方案

Find the following line in speechd:
system("$cmd \'$text\'");

and insert the following line directly before it:
$text =~ s/'//g;

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站